Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 Apr 2021 11:18:09 -0400

> But I do have similar reservations about flashing red so prominently (given
>  that the pressing C-g does not usually indicate an error of any sort).

Why not flashing the mode line with something like:

    (let ((val (face-attribute 'mode-line :inverse-video (selected-frame) t)))
      (set-face-attribute 'mode-line (selected-frame) :inverse-video (not val))
      (sit-for 0.1)
      (set-face-attribute 'mode-line (selected-frame) :inverse-video val))

-- Stefan